Table of Contents

Class: Promise | Twisted-0.17.4/twisted/python/reflect.py
--- | ---

### I represent an object not yet available.

Methods called on me will be queued and sent as soon as the object becomes available. Typically my __become__ method is registered as a callback with some event that will return my new identity.

Methods |
--- | ---
__become__ __getattr__ __init__
| __become__

    __become__ ( self,  new_self )

| __getattr__

    __getattr__ ( self,  key )

| __init__

    __init__ ( self )

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:23 2002 by HappyDoc version 2.0